eLogii
    • Introduction
    • Entities
    • FAQs
    • Query parameters
    • Webhooks
    • Tasks
      • Task Elements
      • createOrUpdateMany
        POST
      • Get tasks
        GET
      • Create tasks
        POST
      • Delete tasks
        POST
      • Update a task
        PUT
      • Get Proof of Delivery
        GET
      • Cancel tasks
        POST
      • Post Tasks Create Return
        POST
      • Move tasks to another date
        POST
      • postTasksReattempt
        POST
      • Start tracking a task (webhook)
        POST
    • Drivers
      • Driver Elements
      • Get drivers
        GET
      • Create multiple drivers
        POST
      • Update drivers
        POST
      • Delete drivers
        POST
    • Customers
      • Customer Elements
      • Get customers
        GET
      • Create customers
        POST
      • Update customers
        POST
      • Delete customers
        POST
    • Depots
      • Depot Elements
      • Get depots
      • Create depots
      • Update depots
      • Delete depots
    • Driver-schedule-exceptions
      • Driver-schedule-exception elements
      • Get all exceptions
      • Get schedule exception for a specific driver
      • Update a schedule exception
      • Create multiple schedule exceptions
      • Delete multiple schedule exceptions
    • Route-template-groups
      • Route-template-groups elements
      • Get route template groups
      • Create a route-template-group
      • Update a route template group
      • Delete multiple route template groups
      • Schedule for dates
    • Routes
      • Route Elements
      • Get routes
      • Clear route(s)
      • Lock route(s)
      • Unlock route(s)
      • Set planned ETAs
      • Setting the task order
    • Task-template-groups
      • Task-template-groups Elements
      • Get task-template-groups
      • Create task-template-groups
      • Get one task-template-group by _id
      • Update task-template-group
      • Delete one task-template-group
      • Delete multiple task-template-groups
      • Schedule task-template-groups for dates
      • Add tasks to group
    • Vehicles
      • Vehicle Elements
      • Create multiple vehicles
      • Get vehicles
      • Update multiple vehicles
      • Delete multiple vehicles
    • Zones
      • Zones Elements
      • getZones
      • postZones
      • putZones_id
      • deleteZones_id
    • Optimization
      • Optimization Elements
      • Run optimization for provided data set
      • Run optimization for one or multiple dates
      • Run optimization for one or multiple existing routes
      • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
      • Run optimization for a date range
    • Forms
      • Get all forms
      • Create and design a form
      • Update many forms
      • Delete many forms
    • Form submissions
      • Get all form submissions
      • Get a specific form's submissions
      • Update many form submissions
      • Delete many form submissions

    Introduction

    📌
    The API is organized around REST and follow standard practices such as predictable, resource-based URLs. All requests are accepted over SSL, with all request and response bodies, including errors, being encoded as JSON
    Environments:

    Production#

    Production (current platform version - 3.5): https://api-35.elogii.com | https://dash-beta.elogii.com
    Example:
    GET https://api-35.elogii.com/tasks?sort=_id&date=20250812
    
    This retrieves tasks for 12-08-2025 sorted by the task _id.

    Sandbox#

    Sandbox: https://api-sandbox.elogii.com | https://dashboard-sandbox.elogii.com
    Example:
    GET https://api-sandbox.elogii.com/tasks?sort=_id&date=20250812
    
    This retrieves tasks for 12-08-2025 sorted by the task _id.
    Authentication:

    Authorization#

    eLogii API uses an API key in combination with the Authorization header as a method of authentication.
    1
    Obtaining an API key
    API keys for your organization can be generatemanaged from within the eLogii Dashboard app, in the Configuration -> API Keys screen. Once the key is generated, you can choose to store it in as an environment variable, e.g. {{apiKey}} that you will use in step 4.
    2
    Auth Type
    Select API Key as the Auth Types
    3
    Key
    Input "Authorization" as the key.
    4
    Value
    First input "ApiKey" and enter the variable {{ApiKey}}.
    Example:
    ApiKey {{apiKey}}
    
    5
    Run
    Run a request on the create or update many request.
    Correct usage of creating or updating a task
    kuhsdhuiofdsdqwoih.gif
    Modified at 2025-11-12 16:33:16
    Next
    Entities
    Built with